Preview Model

Submits a job that previews the fields a model would expose without persisting it. The response contains a job ID that resolves to the list of fields the model would expose. Poll the job until it completes to retrieve the field list. The model is not persisted — this endpoint is useful for validating a query or configuration before calling [`POST /api/models`](../../api-reference/models/create) to save it.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Headers

X-Polytomic-VersionstringRequired

Query parameters

asyncbooleanOptional

Request

This endpoint expects an object.
configurationmap from strings to anyRequired
connection_idstringRequiredformat: "uuid"
namestringRequired
additional_fieldslist of objects or nullOptional
enricherobjectOptional
fieldslist of strings or nullOptional
identifierstringOptional
labelslist of strings or nullOptional
organization_idstring or nullOptionalformat: "uuid"
policieslist of strings or nullOptional
relationslist of objects or nullOptional
tracking_columnslist of strings or nullOptional

Response

OK
dataobject
jobobject

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error